%define major 		20
%define pangomajor	20
%define gir_major	2.0
%define gir_major_old	1.0

%define libname		%mklibname %{name} %{major}
%define libpango	%mklibname %{name}-pango %{pangomajor}
%define libpath		%mklibname %{name}-path %{major}
%define devname		%mklibname %{name} -d
%define devpango	%mklibname %{name}-pango -d
%define girname		%mklibname %{name}-gir %{gir_major}
%define girname_old	%mklibname %{name}-gir %{gir_major_old}
%define girpango	%mklibname %{name}-pango-gir %{gir_major}
%define girpango_old	%mklibname %{name}-pango-gir %{gir_major_old}

Summary:	A library for using 3D graphics hardware to draw pretty pictures
Name:		cogl
Version:	1.18.2
Release:	3
License:	LGPLv2+
Group:		System/Libraries
Url:		http://www.clutter-project.org/
Source0:	ftp://ftp.gnome.org/pub/GNOME/sources/cogl/1.18/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(cairo) >= 1.10
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(gdk-pixbuf-2.0)
BuildRequires:	pkgconfig(gmodule-no-export-2.0)
BuildRequires:	pkgconfig(gobject-2.0) >= 2.28.0
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(pangocairo) >= 1.20
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xcomposite) >= 0.4
BuildRequires:	pkgconfig(xdamage)
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(xfixes) >= 3
BuildRequires:	pkgconfig(xrandr)

%description
Cogl is a small open source library for using 3D graphics hardware to draw
pretty pictures. The API departs from the flat state machine style of
OpenGL and is designed to make it easy to write orthogonal components that
can render without stepping on each others toes.

As well aiming for a nice API, we think having a single library as opposed
to an API specification like OpenGL has a few advantages too; like being
able to paper over the inconsistencies/bugs of different OpenGL
implementations in a centralized place, not to mention the myriad of OpenGL
extensions. It also means we are in a better position to provide utility
APIs that help software developers since they only need to be implemented
once and there is no risk of inconsistency between implementations.

Having other backends, besides OpenGL, such as drm, Gallium or D3D are
options we are interested in for the future.

#----------------------------------------------------------------------------

%package i18n
Summary:	Translations for %{name}
Group:		System/Internationalization
Obsoletes:	%{name} < 1.9.2

%description i18n
This contains the translation data for %{name}.

%files i18n -f %{name}.lang

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	A library for using 3D graphics hardware to draw pretty pictures
Group:		System/Libraries

%description -n %{libname}
This package contains the shared library for %{name}.

%files -n %{libname}
%{_libdir}/libcogl.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{libpango}
Summary:	A library for using 3D graphics hardware to draw pretty pictures
Group:		System/Libraries

%description -n %{libpango}
This package contains the shared library for %{name}-pango.

%files -n %{libpango}
%{_libdir}/libcogl-pango.so.%{pangomajor}*

#----------------------------------------------------------------------------

%package -n %{libpath}
Summary:	A library for using 3D graphics hardware to draw pretty pictures
Group:		System/Libraries
Conflicts:	%{_lib}cogl20 < 1.18.2-3

%description -n %{libpath}
This package contains the shared library for %{name}.

%files -n %{libpath}
%{_libdir}/libcogl-path.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries

%description -n %{girname}
GObject Introspection interface description for %{name}.

%files -n %{girname}
%{_libdir}/girepository-1.0/Cogl-%{gir_major}.typelib

#----------------------------------------------------------------------------

%package -n %{girname_old}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Conflicts:	%{_lib}cogl-gir2.0 < 1.18.2-3

%description -n %{girname_old}
GObject Introspection interface description for %{name}.

%files -n %{girname_old}
%{_libdir}/girepository-1.0/Cogl-%{gir_major_old}.typelib

#----------------------------------------------------------------------------

%package -n %{girpango}
Summary:	GObject Introspection interface description for %{name}-pango
Group:		System/Libraries

%description -n %{girpango}
GObject Introspection interface description for %{name}-pango.

%files -n %{girpango}
%{_libdir}/girepository-1.0/CoglPango-%{gir_major}.typelib

#----------------------------------------------------------------------------

%package -n %{girpango_old}
Summary:	GObject Introspection interface description for %{name}-pango
Group:		System/Libraries
Conflicts:	%{_lib}cogl-pango-gir2.0 < 1.18.2-3

%description -n %{girpango_old}
GObject Introspection interface description for %{name}-pango.

%files -n %{girpango_old}
%{_libdir}/girepository-1.0/CoglPango-%{gir_major_old}.typelib

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	%{name} development environment
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Requires:	%{libpath} = %{EVRD}
Requires:	%{girname} = %{EVRD}
Requires:	%{girname_old} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n %{devname}
Header files and libraries for building and developing apps with %{name}.

%files -n %{devname}
%doc NEWS README ChangeLog
%{_includedir}/%{name}/%{name}
%{_includedir}/%{name}/%{name}-path
%{_libdir}/libcogl.so
%{_libdir}/libcogl-path.so
%{_libdir}/pkgconfig/cogl-1.0.pc
%{_libdir}/pkgconfig/cogl-path-1.0.pc
%{_libdir}/pkgconfig/cogl-gl-1.0.pc
%{_libdir}/pkgconfig/cogl-2.0-experimental.pc
%{_libdir}/pkgconfig/cogl-path-2.0-experimental.pc
%{_datadir}/gir-1.0/Cogl-*.gir

#----------------------------------------------------------------------------

%package -n %{devpango}
Summary:	%{name}-pango development environment
Group:		Development/C
Requires:	%{libpango} = %{EVRD}
Requires:	%{girpango} = %{EVRD}
Requires:	%{girpango_old} = %{EVRD}

%description -n %{devpango}
Header files and libraries for building and developing apps with %{name}-pango.

%files -n %{devpango}
%{_includedir}/%{name}/%{name}-pango
%{_libdir}/libcogl-pango.so
%{_libdir}/pkgconfig/cogl-pango*.pc
%{_datadir}/gir-1.0/CoglPango-*.gir

#----------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
CFLAGS="%{optflags} -fPIC"
%configure2_5x \
	--enable-cairo=yes \
	--enable-gdk-pixbuf=yes \
	--enable-cogl-pango=yes \
	--enable-glx=yes \
	--enable-gtk-doc=no \
	--enable-introspection=yes \
	--enable-examples-install=no

%make

%install
%makeinstall_std

#Remove examples
rm -rf %{buildroot}%{_datadir}/%{name}/examples-data/

%find_lang %{name}


%changelog
* Mon Sep 22 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.18.2-3
+ Revision: f919175
- Split library and gir packages, spec cleanup


